Class OrderHistoryImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.OrderHistoryImpl
- All Implemented Interfaces:
OrderHistory
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionList<? extends PermissibleLocation> Lists the IBX/cage locations the current user may filter order history by.List<? extends OrderHistoryItem> search(OrderHistorySearchRequest request) Searches order history and returns the records of the requested page.searchPage(OrderHistorySearchRequest request) Searches order history and returns one page with its paging metadata.
-
Constructor Details
-
OrderHistoryImpl
public OrderHistoryImpl()
-
-
Method Details
-
search
Description copied from interface:OrderHistorySearches order history and returns the records of the requested page.Maps to
POST /v1/retrieve-orders(POST_orders-history). Same assearchPage(request).getContent(); useOrderHistory.searchPage(OrderHistorySearchRequest)for the paging metadata.- Specified by:
searchin interfaceOrderHistory- Parameters:
request- the search request body- Returns:
- the matching order history records on the requested page
-
searchPage
Description copied from interface:OrderHistorySearches order history and returns one page with its paging metadata.Maps to
POST /v1/retrieve-orders(POST_orders-history); the response envelope is{links, content, page{size, totalElements, totalPages, number}}.- Specified by:
searchPagein interfaceOrderHistory- Parameters:
request- the search request body- Returns:
- the page of records with
linksandpagemetadata
-
listLocations
Description copied from interface:OrderHistoryLists the IBX/cage locations the current user may filter order history by.Maps to
GET /v1/retrieve-orders/locations(GET_retrieve-orders-locations).- Specified by:
listLocationsin interfaceOrderHistory- Returns:
- the list of permissible locations
-